# Windows App Essentials #

* Autores: Joseph Lee, Derek Riemer e outros
* Baixar [versão estável][1]
* Descarregar [versão beta][2]
* Baixar a [versão de desenvolvimento][3]
* Compatibilidade com NVDA: 2023.3.4 e posterior

Nota: Originalmente chamado Windows 10 App Essentials, foi renomeado para
Windows App Essentials em 2021 para suportar o Windows 10 e futuros
lançamentos como o Windows 11. Partes deste extra continuarão a referir-se
ao nome original do extra.

Este extra é uma colecção de módulos de aplicação para várias aplicações
modernas do Windows, bem como melhorias e correcções para certos controlos
encontrados no Windows 10 e posteriores.

Os seguintes módulos de aplicações ou módulos de suporte para algumas
aplicações estão incluídos (consulte a secção de cada aplicação para obter
detalhes sobre o que está incluído):

* Teclado moderno
* Configurações (configurações do sistema, Windows + I)

Notas:

* Este add-on requer o Windows 10 22H2 (build 19045), 11 22H2 (build 22621)
  ou versões posteriores.
* Feature update support duration is tied to consumer support duration
  (Home, Pro, Pro Education, Pro for Workstations editions) and the add-on
  may end support for a feature update prior to end of consumer support. See
  <https://aka.ms/WindowsTargetVersioninfo> for more information and support
  dates.
* Embora a instalação seja possível, este suplemento não suporta Windows
  Enterprise LTSC (Long-Term Servicing Channel) e versões Windows Server.
* Nem todas as funcionalidades das compilações do Windows Insider Preview
  serão suportadas, sobretudo as funcionalidades apresentadas a um
  subconjunto de Windows Insiders nos canais Canary e Dev.
* The add-on may emulate changes included in Insider Preview builds which
  are subsequently removed, and for these changes, the add-on may remove
  them in future releases.
* O canal de desenvolvimento de complementos incluirá alterações, incluindo
  conteúdos experimentais que podem ou não ser incluídos nas versões beta e
  estável, e o canal beta incluirá alterações planeadas para futuras versões
  estáveis.
* Alguns recursos adicionais são ou farão parte do leitor de tela do NVDA.
* Para melhor experiência com aplicações que incorporam tecnologias web e
  conteúdos como o menu Iniciar e o seu menu de contexto, active a
  configuração "Modo de focagem automática para alterações de focagem" do
  painel de configurações do modo de navegação da NVDA.

Para obter uma lista das alterações efectuadas entre cada versão do extra,
consulte o documento [changelogs for add-on releases][4].

## Teclado moderno

Isto inclui o painel de emoji, histórico da área de transferência, teclado
táctil, ditado/digitação por voz, sugestões de entrada de hardware, acções
sugeridas e editores de métodos de entrada modernos para determinados
idiomas no Windows 10 e 11. Ao visualizar emojis, para obter a melhor
experiência, active a definição Consórcio Unicode nas definições de voz do
NVDA e defina o nível de símbolo para "alguns" ou superior. Ao colar do
histórico da área de transferência no Windows 10, prima a tecla Espaço em
vez da tecla Enter para colar o item seleccionado.

* In Windows 11, NVDA will announce suggested actions when compatible data
  such as phone numbers is copied to the clipboard. This is now part of NVDA
  2024.2.

## Configurações

* NVDA will report updates to Windows Update status as download and install
  progresses. This may result in speech interruption when navigating
  Settings app while updates are being downloaded and installed. If using
  Windows 11 and UIA event registration is set to selective from NVDA
  advanced settings panel, you must move focus to updates list as soon as
  they appear so NVDA can announce update progress.

[[!tag dev stable]]

[1]: https://www.nvaccess.org/addonStore/legacy?file=wintenApps

[2]: https://www.nvaccess.org/addonStore/legacy?file=wintenApps-beta

[3]: https://www.nvaccess.org/addonStore/legacy?file=wintenApps-dev

[4]: https://github.com/josephsl/wintenapps/wiki/w10changelog
